Postfix: Adicionando disclaimer - Exceções de remetentes

Publicado por Fabio Soares Schmidt em 09/01/2013

[ Hits: 2.885 ]

 


Postfix: Adicionando disclaimer - Exceções de remetentes



No primeiro tutorial sobre disclaimer (muitas vezes também chamado de footer) com o Postfix, compartilhei um script básico que irá adicionar o texto automático em todas as mensagens:
Com o script abaixo, é possível definir exceções de remetentes que não terão o disclaimer inserido. Para configurar basta seguir os passos do primeiro artigo e substituir o script pelo arquivo abaixo, que também está publicado em:
#!/bin/sh
# Fabio S. Schmidt <fabio@improve.inf.br>
# 05/Jan/2013
# Contempla exceções de remetentes que não terão o disclaimer inserido
# Inserir os remetentes para exceção no arquivo definido pela variavel EXCESSOES_REMETENTES

# Localize these.

INSPECT_DIR=/var/spool/filter
SENDMAIL=/usr/sbin/sendmail

#REMETENTES QUE NAO DEVEM TER O DISCLAIMER INSERIDO
EXCECOES_REMETENTES=/etc/postfix/excecoes_remetente

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

# Clean up when done or when aborting.
trap "rm -f in.$$" 0 1 2 3 15

# Start processing.
cd $INSPECT_DIR || { echo $INSPECT_DIR does not exist; exit
$EX_TEMPFAIL; }

cat >in.$$ || { echo Cannot save mail to file; exit $EX_TEMPFAIL; }

#FAZ A PESQUISA DO REMETENTE PARA A EXCECAO
from_address=`grep -m 1 "From:" in.$$ | cut -d " " -f 2 | cut -d " " -f 1`


if [ `grep -wi ^${from_address}$ ${EXCECOES_REMETENTES}` ]; then

$SENDMAIL -oi "$@" <in.$$
exit $?

else

/usr/bin/altermime --input=in.$$ \
   --disclaimer=/etc/postfix/disclaimer.txt \
   --disclaimer-html=/etc/postfix/disclaimer.html \
   --xheader="X-Copyrighted-Material: Colocar o site da empresa aqui http://www.company.com/privacy.htm" || \
   { echo Message content rejected; exit $EX_UNAVAILABLE; }
$SENDMAIL -oi "$@" <in.$$
exit $?

fi

Obrigado,

Fabio Soares Schmidt
http://respirandolinux.wordpress.com

Outras dicas deste autor

SpamAssassin - Melhorando a eficácia do seu anti-spam

Zimbra - "Erro: PKIX path building failed" ao executar o Zmmailbox

Thunderbird: Desabilitando tela de importação de mensagens

Cyrus IMAP: Muitas mensagens "fetching user_deny" no log

Controlar tamanho máximo do download com squid: reply_body_max_size

Leitura recomendada

Resolvendo erro de "Erro! Conexão recusada" ao baixar emails do Yahoo pelo Evolution

Debian Wheezy - Erro: Return-Path nulo no Sieve scripts [Resolvido]

Migrando contatos e e-mails do Google Apps para servidor Zimbra

Zimbra: Aplicando patch para a falha Heartbleed

Redirecionando emails

  

Comentários

Nenhum comentário foi encontrado.



Contribuir com comentário




Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts